Package com.isomorphic.criteria.criterion

# Class SimpleCriterion

java.lang.Object
com.isomorphic.criteria.criterion.SimpleCriterion

All Implemented Interfaces:
  `Criterion`

public class SimpleCriterion extends Object implements Criterion
Simple Criterion represented by key-value pairs with matching logic determined by operator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleCriterion(String fieldName)`
  Calls `SimpleCriterion(String, OperatorBase, Object)` constructor, passing `DefaultOperators.Equals` as the operatorId and `Boolean.TRUE` as value.
  `SimpleCriterion(String fieldName, OperatorBase operatorId, Object value)`
  Constructor by parameters:
  `SimpleCriterion(String fieldName, Object value)`
  Calls `SimpleCriterion(String, OperatorBase, Object)` constructor, passing `DefaultOperators.Equals` as the operatorId.
  `SimpleCriterion(String fieldName, String operatorId, Object value)`
  Constructor by parameters:

- ## Constructor Details

  - ### SimpleCriterion

    public SimpleCriterion(String fieldName, String operatorId, Object value)
    Constructor by parameters:
    Parameters:
      `fieldName` - - name of field to check
      `operatorId` - - operator that determines checking logic
      `value` - - value that will be used in checking

  - ### SimpleCriterion

    public SimpleCriterion(String fieldName)
    Calls `SimpleCriterion(String, OperatorBase, Object)` constructor, passing `DefaultOperators.Equals` as the operatorId and `Boolean.TRUE` as value.
    Parameters:
      `fieldName` - - name of field to check

  - ### SimpleCriterion

    public SimpleCriterion(String fieldName, Object value)
    Calls `SimpleCriterion(String, OperatorBase, Object)` constructor, passing `DefaultOperators.Equals` as the operatorId.
    Parameters:
      `fieldName` - - name of field to check
      `value` - - value that will be used in checking

  - ### SimpleCriterion

    public SimpleCriterion(String fieldName, OperatorBase operatorId, Object value)
    Constructor by parameters:
    Parameters:
      `fieldName` - - name of field to check
      `operatorId` - - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as IContains or GreaterThan
      `value` - - value that will be used in checking